"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetManagerProvider = exports.AssetManager = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
exports.AssetManager = (0, react_1.createContext)({
    registerAsset: () => undefined,
    unregisterAsset: () => undefined,
    assets: [],
});
const AssetManagerProvider = ({ children }) => {
    const [assets, setAssets] = (0, react_1.useState)([]);
    const registerAsset = (0, react_1.useCallback)((asset) => {
        setAssets((assts) => {
            return [...assts, asset];
        });
    }, []);
    const unregisterAsset = (0, react_1.useCallback)((id) => {
        setAssets((assts) => {
            return assts.filter((a) => a.id !== id);
        });
    }, []);
    (0, react_1.useLayoutEffect)(() => {
        if (typeof window !== 'undefined') {
            window.remotion_collectAssets = () => {
                setAssets([]); // clear assets at next render
                return assets;
            };
        }
    }, [assets]);
    const contextValue = (0, react_1.useMemo)(() => {
        return {
            registerAsset,
            unregisterAsset,
            assets,
        };
    }, [assets, registerAsset, unregisterAsset]);
    return ((0, jsx_runtime_1.jsx)(exports.AssetManager.Provider, { value: contextValue, children: children }));
};
exports.AssetManagerProvider = AssetManagerProvider;
