/// <reference types="react" />
import type { AnyZodObject } from 'zod';
import type { AnyCompMetadata, AnyComposition, TComposition } from './CompositionManager.js';
import type { TFolder } from './Folder.js';
export type BaseMetadata = Pick<AnyCompMetadata, 'durationInFrames' | 'fps' | 'defaultProps' | 'height' | 'width'>;
export type CompositionManagerContext = {
    compositions: AnyComposition[];
    registerComposition: <Schema extends AnyZodObject, Props extends Record<string, unknown> | undefined>(comp: TComposition<Schema, Props>) => void;
    unregisterComposition: (name: string) => void;
    registerFolder: (name: string, parent: string | null) => void;
    unregisterFolder: (name: string, parent: string | null) => void;
    currentComposition: string | null;
    setCurrentComposition: (curr: string) => void;
    setCurrentCompositionMetadata: (metadata: BaseMetadata) => void;
    currentCompositionMetadata: BaseMetadata | null;
    folders: TFolder[];
};
export declare const CompositionManager: import("react").Context<CompositionManagerContext>;
